Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations
GETCDP OperationsSince 4.5.0SynchronousAuth Required

QueryCdpTask

QueryCdpTask

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Succeeded.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • uuidStringRequired

      The UUID of the resource.

    • nameStringRequired

      The name of the resource.

    • descriptionString

      Optional. The detailed description of the resource.

    • policyUuidStringRequired

      The UUID of permission policy.

    • backupStorageUuidStringRequired

      The UUID of backup storage.

    • backupBandwidthlongRequired

      The backup rate of a single volume.

    • maxCapacitylongRequired

      The planning capacity of the CDP task.

    • usedCapacitylongRequired

      The used capacity of the CDP task.

    • createDateTimestampRequired

      The time when the CDP task is created.

    • lastOpDateTimestampRequired

      The time when the CDP task is last modified.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The UUID of the resource.

    • nameStringRequired

      The name of the scheduler job group.

    • descriptionStringRequired

      The detailed description of the scheduler job group.

    • stateStringRequired

      The state of the scheduler job group.

      • EnabledCdpTaskStateRequired

        The CDP task is enabled.

      • DisabledCdpTaskStateRequired

        The CDP task is disabled.

    • createDateTimestampRequired

      The time when the scheduler job group is created.

    • lastOpDateTimestampRequired

      The time of the scheduler job group is last modified.

    • jobDataStringRequired

      The job data.

    • triggersUuidListRequired

      The UUID of the triggers.

    • statusCdpTaskStatusRequired

      See status.

      • CreatedCdpTaskStatusRequired

        The CDP task is created.

      • StartingCdpTaskStatusRequired

        The CDP task is starting.

      • RunningCdpTaskStatusRequired

        The CDP task is running.

      • StoppedCdpTaskStatusRequired

        The CDP task stopped.

      • UnknownCdpTaskStatusRequired

        The state of the CDP task is unknown.

      • FailedCdpTaskStatusRequired

        The CDP task failed.

    • stateCdpTaskStateRequired

      See state.

      • EnabledCdpTaskStateRequired

        The CDP task is enabled.

      • DisabledCdpTaskStateRequired

        The CDP task is disabled.

    • taskTypeCdpTaskTypeRequired

      See taskType.

      • VMCdpTaskTypeRequired

        The VM instance corresponding to the CDP task.

    • resourceRefsListRequired

      See resourceRefs.

      • taskUuidStringRequired

        The UUID of the CDP task.

      • resourceUuidStringRequired

        The UUID of the resource.

      • resourceTypeStringRequired

        The task resource list.

      • createDateTimestampRequired

        The time when the CDP task is created.

      • lastOpDateTimestampRequired

        The time when the CDP task is last modified.

Endpoint

GET/zstack/v1/cdp-task

/zstack/v1/cdp-task

Operation ID

QueryCdpTask

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/cdp-task' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "cfcb3c865b2e363f96ec43615c9862d6", "name": "My Task", "policyUuid": "aa3ff8d5586b39c18b330f2b118e6936", "backupStorageUuid": "2ff526012ceb362ebfa903ba69d7a53a", "status": "Running", "state": "Enabled", "taskType": "VM", "backupBandwidth": 1.048576E8, "maxCapacity": 1.073741824E11, "usedCapacity": 2.395916E7 } ] }

Change History

This API has no change history records yet.

View all change history